[@bigcommerce/checkout-sdk](../README.md) / CheckoutServiceOptions

# Interface: CheckoutServiceOptions

## Table of contents

### Properties

- [errorLogger](CheckoutServiceOptions.md#errorlogger)
- [externalSource](CheckoutServiceOptions.md#externalsource)
- [host](CheckoutServiceOptions.md#host)
- [locale](CheckoutServiceOptions.md#locale)
- [shouldWarnMutation](CheckoutServiceOptions.md#shouldwarnmutation)

## Properties

### errorLogger

• `Optional` **errorLogger**: [`ErrorLogger`](ErrorLogger.md)

___

### externalSource

• `Optional` **externalSource**: `string`

___

### host

• `Optional` **host**: `string`

___

### locale

• `Optional` **locale**: `string`

___

### shouldWarnMutation

• `Optional` **shouldWarnMutation**: `boolean`
